CACOSH(3)

NAME
cacosh, cacoshf, cacoshl - complex arc hyperbolic cosine

SYNOPSIS
#include <complex.h>

double complex cacosh(double complex z);
float complex cacoshf(float complex z);
long double complex cacoshl(long double complex z);

Link with -lm.

DESCRIPTION
The cacosh() function calculates the complex acosh(). If y = cacosh(z), then z = ccosh(y). The imaginary part of y is chosen in the interval [-pi,pi]. The real part of y is chosen nonnegative.

One has cacosh(z) = (0.5)*clog((1+z)/(1-z)).

CONFORMING TO
C99

SEE ALSO
acosh(3), cabs(3), cimag(3), complex(7)